Worker::stack
Worker::unstack
Worker
PHP Manual

# Worker::start

(PECL pthreads >= 0.36)

Worker::start — Exécution

### Description

final public boolean Worker::start ([ long `$options` ] )

Démarre un nouveau Thread, exécute la méthode Worker::run puis, attend des Stackables.

### Liste de paramètres

`options`

  Un masque optionnel de constantes héritées, par défaut PTHREADS_INHERIT_ALL

### Valeurs de retour

Un booléen indiquant le succès de l'opération.

### Exemples

Exemple #1 Démarre les Workers

`<?php
class My extends Worker {
public function run() {
/** ... **/
}
}
$my = new My();
var_dump($my->start());
?>`

L'exemple ci-dessus va afficher :

    bool(true)

Worker::stack
Worker::unstack
Worker
PHP Manual